<?php
function FT_OP_update()
{
	$settings = get_option('ft_op');
	$settings['id'] = 'ft_' . FT_scope::tool()->optionsName;
	update_option('ft_op', $settings);
}

function FT_OP_options()
{
	
	// Test data
	$test_array = array("1" => "Tutorials","2" => "Posts");
	
	// Multicheck Array
	$multicheck_array = array("one" => "French Toast", "two" => "Pancake", "three" => "Omelette", "four" => "Crepe", "five" => "Waffle");
	
	// Multicheck Defaults
	$multicheck_defaults = array("one" => "1","five" => "1");
	
	// Background Defaults
	
	$background_defaults = array('color' => '', 'image' => '', 'repeat' => 'repeat','position' => 'top center','attachment'=>'scroll');
	
	
	// Pull all the categories into an array
	$options_categories = array();  
	$options_categories_obj = get_categories();
	foreach ($options_categories_obj as $category) {
    	$options_categories[$category->cat_ID] = $category->cat_name;
	}
	
	// Pull all the pages into an array
	$options_pages = array();  
	$options_pages_obj = get_pages('sort_column=post_parent,menu_order');
	$options_pages[''] = 'Select a page:';
	foreach ($options_pages_obj as $page) {
    	$options_pages[$page->ID] = $page->post_title;
	}
		
	// If using image radio buttons, define a directory path
	$imagepath =  get_bloginfo('stylesheet_directory') . '/images/';
		
	$options = array();
	
	
	$options[] = array( "name" => __('General','pci'),
						"type" => "heading");	


	$options[] = array( "name" => __('Site intro title','pci'),
						"desc" => __('Give a title for your site intro','pci'),
						"id" => "fabthemes_intro_title",
						"std" => "",
						"type" => "text");							
					
	$options[] = array( "name" => __('Site intro text','pci'),
						"desc" => __('Your site intro text','pci'),
						"id" => "fabthemes_intro_text",
						"std" => __('intro text goes here','pci'),
						"type" => "textarea"); 										
	
		
	$options[] = array( "name" => __('Blog posts on homepage','pci'),
						"desc" => __('Enter the number of posts to be shown on homepage carousel','pci'),
						"id" => "fabthemes_blog_number",
						"std" => "12",
						"type" => "text");							
						
						
	$options[] = array( "name" => __('Header banner image','pci'),
						"desc" => __('Enter your 468 x 60 banner image url here..','pci'),
						"id" => "fabthemes_head_banner",
						"std" => "http://mandegarweb.com/file/img/wordpress-theme.gif",
						"type" => "text");		
						
	$options[] = array( "name" => __('Header banner link','pci'),
						"desc" => __('Enter your banner link.','pci'),
						"id" => "fabthemes_head_link",
						"std" => "http://mandegarweb.com/themes/",
						"type" => "text");		


	$options[] = array( "name" => __('Slider','pci'),
						"type" => "heading");	
						
						
	$options[] = array( "name" => __('Slider Category','pci'),
						"desc" => __('Select a category for the image slider','pci'),
						"id" => "fabthemes_slide_categories",
						"type" => "select",
						"options" => $options_categories);						
						
	$options[] = array( "name" => __('Number of slides','pci'),
						"desc" => __('Enter the number of slides','pci'),
						"id" => "fabthemes_slide_number",
						"std" => "4",
						"type" => "text");							
						

						

	if (file_exists(dirname(__FILE__) . '/FT/options/banners.php'))
			include ('FT/options/banners.php');

	if (file_exists(dirname(__FILE__) . '/FT/options/colors.php'))
			include ('FT/options/colors.php');

	if (file_exists(dirname(__FILE__) . '/FT/options/common.php'))
			include ('FT/options/common.php');

	return $options;
}